### Signal

# Soup Server::request-aborted

#### Declaration

    void
    request_aborted (
      SoupServer* self,
      SoupServerMessage* message,
      gpointer user_data
    )

#### Description [src]

Emitted when processing has failed for a message.

This could mean either that it could not be read (if `SoupServer::request-read` has not been emitted for it yet), or that the response could not be written back (if `SoupServer::request-read` has been emitted but `SoupServer::request-finished` has not been).

`message` is in an undefined state when this signal is emitted; the signal exists primarily to allow the server to free any state that it may have allocated in `SoupServer::request-started`.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`message`

  Type: `SoupServerMessage`

  The message.

  The data is owned by the caller of the function.